<?php

/**

 * Astra functions and definitions

 *

 * @link https://developer.wordpress.org/themes/basics/theme-functions/

 *

 * @package Astra

 * @since 1.0.0

 */



if ( ! defined( 'ABSPATH' ) ) {

	exit; // Exit if accessed directly.

}



/**

 * Define Constants

 */

define( 'ASTRA_THEME_VERSION', '3.2.0' );

define( 'ASTRA_THEME_SETTINGS', 'astra-settings' );

define( 'ASTRA_THEME_DIR', trailingslashit( get_template_directory() ) );

define( 'ASTRA_THEME_URI', trailingslashit( esc_url( get_template_directory_uri() ) ) );





/**

 * Minimum Version requirement of the Astra Pro addon.

 * This constant will be used to display the notice asking user to update the Astra addon to the version defined below.

 */

define( 'ASTRA_EXT_MIN_VER', '3.1.0' );



/**

 * Setup helper functions of Astra.

 */

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-theme-options.php';

require_once ASTRA_THEME_DIR . 'inc/core/class-theme-strings.php';

require_once ASTRA_THEME_DIR . 'inc/core/common-functions.php';



/**

 * Update theme

 */

require_once ASTRA_THEME_DIR . 'inc/theme-update/class-astra-theme-update.php';

require_once ASTRA_THEME_DIR . 'inc/theme-update/astra-update-functions.php';

require_once ASTRA_THEME_DIR . 'inc/theme-update/class-astra-theme-background-updater.php';

require_once ASTRA_THEME_DIR . 'inc/theme-update/class-astra-pb-compatibility.php';





/**

 * Fonts Files

 */

require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-font-families.php';

if ( is_admin() ) {

	require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-fonts-data.php';

}



require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-fonts.php';



require_once ASTRA_THEME_DIR . 'inc/core/class-astra-walker-page.php';

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-enqueue-scripts.php';

require_once ASTRA_THEME_DIR . 'inc/core/class-gutenberg-editor-css.php';

require_once ASTRA_THEME_DIR . 'inc/class-astra-dynamic-css.php';



/**

 * Custom template tags for this theme.

 */

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-attr.php';

require_once ASTRA_THEME_DIR . 'inc/template-tags.php';



require_once ASTRA_THEME_DIR . 'inc/widgets.php';

require_once ASTRA_THEME_DIR . 'inc/core/theme-hooks.php';

require_once ASTRA_THEME_DIR . 'inc/admin-functions.php';

require_once ASTRA_THEME_DIR . 'inc/core/sidebar-manager.php';



/**

 * Markup Functions

 */

require_once ASTRA_THEME_DIR . 'inc/markup-extras.php';

require_once ASTRA_THEME_DIR . 'inc/extras.php';

require_once ASTRA_THEME_DIR . 'inc/blog/blog-config.php';

require_once ASTRA_THEME_DIR . 'inc/blog/blog.php';

require_once ASTRA_THEME_DIR . 'inc/blog/single-blog.php';

/**

 * Markup Files

 */

require_once ASTRA_THEME_DIR . 'inc/template-parts.php';

require_once ASTRA_THEME_DIR . 'inc/class-astra-loop.php';

require_once ASTRA_THEME_DIR . 'inc/class-astra-mobile-header.php';



/**

 * Functions and definitions.

 */

require_once ASTRA_THEME_DIR . 'inc/class-astra-after-setup-theme.php';



// Required files.

require_once ASTRA_THEME_DIR . 'inc/core/class-astra-admin-helper.php';



require_once ASTRA_THEME_DIR . 'inc/schema/class-astra-schema.php';



if ( is_admin() ) {



	/**

	 * Admin Menu Settings

	 */

	require_once ASTRA_THEME_DIR . 'inc/core/class-astra-admin-settings.php';

	require_once ASTRA_THEME_DIR . 'inc/lib/notices/class-astra-notices.php';



	/**

	 * Metabox additions.

	 */

	require_once ASTRA_THEME_DIR . 'inc/metabox/class-astra-meta-boxes.php';

}



require_once ASTRA_THEME_DIR . 'inc/metabox/class-astra-meta-box-operations.php';





/**

 * Customizer additions.

 */

require_once ASTRA_THEME_DIR . 'inc/customizer/class-astra-customizer.php';





/**

 * Compatibility

 */

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-jetpack.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/woocommerce/class-astra-woocommerce.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/edd/class-astra-edd.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/lifterlms/class-astra-lifterlms.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/learndash/class-astra-learndash.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-beaver-builder.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-bb-ultimate-addon.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-contact-form-7.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-visual-composer.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-site-origin.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-gravity-forms.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-bne-flyout.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-ubermeu.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-divi-builder.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-amp.php';

require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-yoast-seo.php';

require_once ASTRA_THEME_DIR . 'inc/addons/transparent-header/class-astra-ext-transparent-header.php';

require_once ASTRA_THEME_DIR . 'inc/addons/breadcrumbs/class-astra-breadcrumbs.php';

require_once ASTRA_THEME_DIR . 'inc/addons/heading-colors/class-astra-heading-colors.php';

require_once ASTRA_THEME_DIR . 'inc/builder/class-astra-builder-loader.php';



// Elementor Compatibility requires PHP 5.4 for namespaces.

if ( version_compare( PHP_VERSION, '5.4', '>=' ) ) {

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-elementor.php';

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-elementor-pro.php';

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-web-stories.php';

}



// Beaver Themer compatibility requires PHP 5.3 for anonymus functions.

if ( version_compare( PHP_VERSION, '5.3', '>=' ) ) {

	require_once ASTRA_THEME_DIR . 'inc/compatibility/class-astra-beaver-themer.php';

}



/**

 * Load deprecated functions

 */

require_once ASTRA_THEME_DIR . 'inc/core/deprecated/deprecated-filters.php';

require_once ASTRA_THEME_DIR . 'inc/core/deprecated/deprecated-hooks.php';

require_once ASTRA_THEME_DIR . 'inc/core/deprecated/deprecated-functions.php';



add_shortcode('kwtmultistepform','kwtmultistepform');
function kwtmultistepform(){
	$kwtstatus = 0;
	if(wp_verify_nonce($_REQUEST['kwtmultistepformsubmit'],'kwtmultistepformsubmit')){
		  $msg 	= '<b>Name:</b> ' . $_POST['kwtfirstname'].' '.$_POST['kwtlastname'].'<br><br>';
		  $msg .= '<b>Email:</b> ' . $_POST['kwtemail'].'<br><br>';
		  $msg .= '<b>Company Website:</b> ' . $_POST['kwtwebsite'].'<br><br>';
		  $msg .= '<b>Phone:</b> ' . $_POST['kwtphone'].'<br><br>';
		  $msg .= '<b>Comments:</b><br> ' . $_POST['kwtcomments'].'<br><br>';
		  $msg .= '<b>Booking Date & Time:</b><br> ' . date('F d, Y [h:i a]',strtotime($_POST['kwtbookingdate'])).'<br><br>';
		  $headers = 'From: '.get_option('blogname').' <'. $_POST['kwtemail'] . '> ' . "\r\n" ; 
		  $headers .= "Content-Type: text/html; charset: UTF-8" . "\r\n" ;
		  $headers .= 'Reply-To: ' . $_POST['kwtemail'] . "\r\n";
		  wp_mail(get_option('admin_email'),get_option('blogname') . ' Consultation Request - ' . $_POST['kwtfirstname'].' '.$_POST['kwtlastname'], $msg, $headers);
		  $kwtstatus = 1;
 	}
	echo $kwtstatus?'<div style="margin: 2em 0.5em 1em;padding: 0.2em 1em;border: 2px solid green;">Thank you for Free Consultation Call request. We will contact you on your given date and time</div>':''; ?>
	<form method="post">
		<div class="1step">
			<div class="form-group">
				<label>First name</label>
				<input type="text" name="kwtfirstname" id="kwtfirstname" style="width: 100%;padding: .75em;">
				<span id="kwtfirstnameerr" style="color:#ff0000;"></span>
			</div>
			<div class="form-group">
				<label>Last name</label>
				<input type="text" name="kwtlastname" id="kwtlastname" style="width: 100%;padding: .75em;">
				<span id="kwtlastnameerr" style="color:#ff0000;"></span>
			</div>
			<div class="form-group">
				<label>Email</label>
				<input type="email" name="kwtemail" id="kwtemail" style="width: 100%;padding: .75em;">
				<span id="kwtemailerr" style="color:#ff0000;"></span>
			</div>
			<?php wp_nonce_field('kwtmultistepformsubmit','kwtmultistepformsubmit'); ?>

			<div class="form-group">
				<label>Company Website (if any)</label>
				<input type="text" name="kwtwebsite" style="width: 100%;padding: .75em;">
			</div>

			<div class="form-group">
				<label>Phone Number</label>
				<input type="text" name="kwtphone" id="kwtphone" style="width: 100%;padding: .75em;">
				<span id="kwtphoneerr" style="color:#ff0000;"></span>
			</div>

			<div class="form-group">
				<label>Comments</label>
				<textarea name="kwtcomments" id="kwtcomments" cols="40" rows="2" style="width: 100%;padding: .75em;"></textarea>
				<span id="kwtcommentserr" style="color:#ff0000;"></span>
			</div>

			<br><br>
			<input type="button" value="Next" id="kwt_next" style="border-style: solid;
		    border-top-width: 0;
		    border-right-width: 0;
		    border-left-width: 0;
		    border-bottom-width: 0;
		    color: #ffffff;
		    border-color: #39b54a;
		    background-color: #39b54a;
		    border-radius: 6px;
		    padding-top: 17px;
		    padding-right: 35px;
		    padding-bottom: 17px;
		    padding-left: 35px;
		    font-family: inherit;
		    font-weight: 400;
		    font-size: 15px;
		    font-size: 0.9375rem;
		    line-height: 1;
		    text-transform: uppercase;
		    letter-spacing: 1px;">
		</div>
		<div class="2step">

			<label>Booking Date</label>
			<input type="datetime-local" required name="kwtbookingdate" style="width: 100%;padding: .75em;">

			<br><br>
			<br><br>
			<input type="button" value="Previous" id="kwt_prev" style="border-style: solid;
		    border-top-width: 0;
		    border-right-width: 0;
		    border-left-width: 0;
		    border-bottom-width: 0;
		    color: #ffffff;
		    border-color: #39b54a;
		    background-color: #39b54a;
		    border-radius: 6px;
		    padding-top: 17px;
		    padding-right: 35px;
		    padding-bottom: 17px;
		    padding-left: 35px;
		    font-family: inherit;
		    font-weight: 400;
		    font-size: 15px;
		    font-size: 0.9375rem;
		    line-height: 1;
		    text-transform: uppercase;
		    letter-spacing: 1px;"> 
			<input type="submit" value="Book a Call" style="border-style: solid;
		    border-top-width: 0;
		    border-right-width: 0;
		    border-left-width: 0;
		    border-bottom-width: 0;
		    color: #ffffff;
		    border-color: #39b54a;
		    background-color: #39b54a;
		    border-radius: 6px;
		    padding-top: 17px;
		    padding-right: 35px;
		    padding-bottom: 17px;
		    padding-left: 35px;
		    font-family: inherit;
		    font-weight: 400;
		    font-size: 15px;
		    font-size: 0.9375rem;
		    line-height: 1;
		    text-transform: uppercase;
		    letter-spacing: 1px;">
		</div>

	</form>
	<?
	add_action( 'wp_footer', 'kwtmultistepformfooter' );
}

function kwtmultistepformfooter(){
	?>
	<script>
		jQuery(document).ready(function(){
			jQuery('.2step').css('display','none');

			jQuery('#kwt_prev').click(function(){
				jQuery('.2step').css('display','none');
				jQuery('.1step').css('display','block');
			});

			jQuery('#kwt_next').click(function(){
				var status = 0;
				['kwtfirstname','kwtlastname','kwtemail','kwtphone','kwtcomments'].forEach(function(entry){
					if(jQuery('#'+entry).val() == ''){
						jQuery('#'+entry+'err').html('This field is required');
						status = 1;
					} else 
						jQuery('#'+entry+'err').html('');
				});
				if(status == 0){
					jQuery('.1step').css('display','none');
					jQuery('.2step').css('display','block');
				}
			});
		});
	</script>
	<?php
}
